AbstractRuntime (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.core.runtime
Class AbstractRuntime

    java.lang.Object
      org.jacoco.core.runtime.AbstractRuntime

All Implemented Interfaces:
  IExecutionDataAccessorGenerator, IRuntime

Direct Known Subclasses:
  LoggerRuntime, ModifiedSystemClassRuntime, SystemPropertiesRuntime, URLStreamHandlerRuntime

    public abstract class AbstractRuntime

extends Object
implements IRuntime

Base `IRuntime` implementation.

Field Summary
`protected RuntimeData` | `data` access to the runtime data

Constructor Summary
`AbstractRuntime()`

Method Summary
`static String` | `createRandomId()` Creates a random session identifier.
`void` | `disconnect(Class<?> type)` Clears the execution data buffered in the given instrumented type.
`void` | `startup(RuntimeData data)` Subclasses must call this method when overwriting it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jacoco.core.runtime.IRuntime
`shutdown`

Methods inherited from interface org.jacoco.core.runtime.IExecutionDataAccessorGenerator
`generateDataAccessor`

Field Detail

### data

    protected RuntimeData data

  access to the runtime data

Constructor Detail

### AbstractRuntime

    public AbstractRuntime()

Method Detail

### disconnect

    public void disconnect(Class<?> type)
                    throws Exception

  Description copied from interface: `IRuntime`
  Clears the execution data buffered in the given instrumented type. It forces the class to re-connect to the runtime the next time it is executed. This method is used by the agent and is required when a class has been redefined. Note that a call to this method does not actually reset the data that is already stored in the runtime.

  Specified by:
    `disconnect` in interface `IRuntime`
  Parameters:
    `type` - class to clear
  Throws:
    `Exception` - if clearing the data is not possible

### startup

    public void startup(RuntimeData data)
                 throws Exception

  Subclasses must call this method when overwriting it.

  Specified by:
    `startup` in interface `IRuntime`
  Parameters:
    `data` - the execution data for this runtime
  Throws:
    `Exception` - any internal problem during startup

### createRandomId

    public static String createRandomId()

  Creates a random session identifier.

  Returns:
    random session identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.